Skip to main content
PATCH
/
studio-recommender-blocks
/
{studioRecommenderBlockId}
Partial update recommender block
curl --request PATCH \
  --url https://api.kameleoon.com/studio-recommender-blocks/{studioRecommenderBlockId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "name": "<string>",
  "recommenderBlockId": 123,
  "siteId": 123,
  "studioCss": "<string>",
  "studioTemplate": "<string>"
}
'
{
  "siteId": 123,
  "code": "<string>",
  "createdById": 123,
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "id": 123,
  "name": "<string>",
  "recommenderBlockId": 123,
  "studioCss": "<string>",
  "studioTemplate": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

studioRecommenderBlockId
integer<int64>
required

The ID of the widget studio template object

Body

application/json
code
string

Studio recommender block code that is associated with this recommender block

name
string

Studio recommender block name that is associated with this recommender block

recommenderBlockId
integer<int64>

Studio recommender block id that is associated with this recommender block

siteId
integer<int64>

The website id that a recommender block belongs to

studioCss
string

Studio recommender block Css that is associated with this recommender block

studioTemplate
string

Studio recommender block instruction that is associated with this recommender block

Response

OK

siteId
integer<int64>
required

The website id that an studio recommender block belongs to

code
string

Studio recommender block code that is associated with this recommender block

createdById
integer<int64>
read-only

Account id to whom created this recommender block

dateCreated
string<date-time>
read-only

Date and time a record is created

dateModified
string<date-time>
read-only

Date and time a record is modified

id
integer<int64>
read-only

The unique identifier of the given studio recommender block

name
string

Studio recommender block name that is associated with this recommender block

recommenderBlockId
integer<int64>

Recommender block id that is associated with this recommender block

studioCss
string

Studio recommender block Css that is associated with this recommender block

studioTemplate
string

Studio recommender block data that is associated with this recommender block